Skip to main content
PUT
/
api
/
v1
/
books
/
{bookId}
/
progression
Mark book progression
curl --request PUT \
  --url https://demo.komga.org/api/v1/books/{bookId}/progression \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "device": {
    "id": "<string>",
    "name": "<string>"
  },
  "locator": {
    "href": "<string>",
    "type": "<string>",
    "koboSpan": "<string>",
    "text": {
      "after": "<string>",
      "before": "<string>",
      "highlight": "<string>"
    },
    "title": "<string>"
  },
  "modified": "2023-11-07T05:31:56Z"
}
'
{
  "violations": [
    {
      "fieldName": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

bookId
string
required

Body

application/json
device
object
required
locator
object
required
modified
string<date-time>
required

Response

No Content